Bug 604288 - [abrt] crash in geda-gschem-1:1.6.0-3.fc13: __strlen_sse2: Process /usr/bin/gschem was killed by signal 11 (SIGSEGV)
Summary: [abrt] crash in geda-gschem-1:1.6.0-3.fc13: __strlen_sse2: Process /usr/bin/g...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: geda-gaf
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Chitlesh GOORAH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:0a8f7f48fda7b81f87624f86f26...
: 595001 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-15 19:15 UTC by Peque
Modified: 2011-06-10 14:03 UTC (History)
3 users (show)

Fixed In Version: geda-gaf-1.6.2-2.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-02 10:58:25 UTC


Attachments (Terms of Use)
File: backtrace (26.61 KB, text/plain)
2010-06-15 19:15 UTC, Peque
no flags Details

Description Peque 2010-06-15 19:15:33 UTC
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: gschem
component: geda-gaf
crash_function: __strlen_sse2
executable: /usr/bin/gschem
global_uuid: 0a8f7f48fda7b81f87624f86f26b3b5645a406b1
kernel: 2.6.33.5-112.fc13.x86_64
package: geda-gschem-1:1.6.0-3.fc13
rating: 4
reason: Process /usr/bin/gschem was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1. Open gschem
2. Place one component in the design (i.e. 'aop-std-1.sym', which is the first one in the first group 'Basic Devices')
3. Then, in the component window, go to "In use" tab
4. Select that component (I think you just need to select _any_ component in the list), and click on "refresh" button

Comment 1 Peque 2010-06-15 19:15:36 UTC
Created attachment 424273 [details]
File: backtrace

Comment 2 Chitlesh GOORAH 2010-10-02 20:30:13 UTC
*** Bug 595001 has been marked as a duplicate of this bug. ***

Comment 3 Peter TB Brett 2011-01-19 10:29:53 UTC
Reported upstream: https://bugs.launchpad.net/geda/+bug/704829

Comment 4 Peter TB Brett 2011-01-20 13:45:54 UTC
This has now been fixed upstream, and a patches against gEDA/gaf 1.6.x are available.

Comment 5 Fedora Update System 2011-05-28 13:54:22 UTC
geda-gaf-1.6.2-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/geda-gaf-1.6.2-2.fc15

Comment 6 Fedora Update System 2011-05-29 00:00:58 UTC
Package geda-gaf-1.6.2-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing geda-gaf-1.6.2-2.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/geda-gaf-1.6.2-2.fc15
then log in and leave karma (feedback).

Comment 7 Peque 2011-05-29 05:59:27 UTC
Still having the same problem after updating to geda-gaf-1.6.2-2.fc15...

Comment 8 Bug Zapper 2011-06-02 10:43:04 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Fedora Update System 2011-06-02 10:58:15 UTC
geda-gaf-1.6.2-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-06-02 19:03:50 UTC
geda-gaf-1.6.2-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Peter TB Brett 2011-06-10 14:03:15 UTC
> This has now been fixed upstream, and a patches against gEDA/gaf 1.6.x are
> available.

It this fix *didn't* make it into the 1.6.2 release.  This bug should be re-opened.

Since it is unlikely that we (upstream) will release a 1.6.3 release soon, I recommend that Fedora manually apply this patch to the 1.6.2 tarball:

http://git.gpleda.org/?p=gaf.git;a=commitdiff_plain;h=334307f0c4f68f704eec422af077b9e32d37b177;hp=a30f00bbee18ad5140616ad6459365cb48b03ee7 (or http://goo.gl/uW3EB)


Note You need to log in before you can comment on or make changes to this bug.